## youtube-dl 2015.02.28

=== debian/changelog ===
youtube-dl (2015.02.28-1) unstable; urgency=medium

  * Imported Upstream version 2015.02.28. Closes: #778765.

 -- Rogério Brito <rbrito@ime.usp.br>  Sun, 01 Mar 2015 02:12:13 -0300

youtube-dl (2015.02.06-1) unstable; urgency=medium

  * Imported Upstream version 2015.02.06
  * debian/control:
    + Update list of supported sites.
    + Add recommends on "aria2 | wget | curl" to use the new external
      downloaders feature.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 09 Feb 2015 01:37:50 -0200

youtube-dl (2015.01.16-1) unstable; urgency=medium

  * Imported Upstream version 2015.01.16. Highlight:
    + Fix changes with Youtube changing the signature algorithm.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 16 Jan 2015 16:08:59 -0200

youtube-dl (2014.12.01-1) unstable; urgency=medium

  * Imported Upstream version 2014.11.21
  * Imported Upstream version 2014.11.23
  * Imported Upstream version 2014.12.01.
    Closes: #771316, #769602.
  * debian/copyright:
    + Record the explicit provenance of public domain status.
      Thanks Ben Finney for the patch. Closes: #770249.
    + Fix missing-license-paragraph-in-dep5-copyright.

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 02 Dec 2014 21:25:47 -0200

youtube-dl (2014.10.30-1) unstable; urgency=medium

  * Imported Upstream version 2014.10.30.
    Closes: #765997, #762046.
  * debian/control: Confirm that the package conforms to policy 3.9.6.

 -- Rogério Brito <rbrito@ime.usp.br>  Fri, 31 Oct 2014 18:57:02 -0200

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 python-pkg-resources
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.6
Homepage: http://rg3.github.com/youtube-dl/
Vcs-Git: git://anonscm.debian.org/collab-maint/youtube-dl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 aria2 | wget | curl,
 libav-tools | ffmpeg,
 libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
 mplayer2 | mplayer,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1up.com, 220.ro, 24video, 3sat, 4tube, 56.com, 5min, 8tracks, 9gag,
 abc.net.au, Abc7News, AcademicEarth:Course, AddAnime, AdobeTV, AdultSwim,
 Aftonbladet, AlJazeera, Allocine, AlphaPorno, anitube.se, AnySex, Aparat,
 AppleDailyAnimationNews, AppleDailyRealtimeNews, AppleTrailers,
 archive.org, ARD, ARD:mediathek, arte.tv, arte.tv:+7, arte.tv:concert,
 arte.tv:creative, arte.tv:ddc, arte.tv:embed, arte.tv:future, AtresPlayer,
 ATTTechChannel, audiomack, audiomack:album, Azubu, bambuser,
 bambuser:channel, Bandcamp, Bandcamp:album, bbc.co.uk, Beeg, BehindKink,
 Bet, Bild, BiliBili, blinkx, blip.tv:user, BlipTV, Bloomberg, Bpb, BR,
 Break, Brightcove, BuzzFeed, BYUtv, Canal13cl, canalc2.tv, Canalplus, CBS,
 CBSNews, CeskaTelevize, channel9, Chilloutzone, Cinchcast, Cinemassacre,
 clipfish, cliphunter, Clipsyndicate, Cloudy, Clubic, cmt.com, CNET, CNN,
 CNNArticle, CNNBlogs, CollegeHumor, CollegeRama, ComCarCoff, ComedyCentral,
 ComedyCentralShows, CommonMistakes, CondeNast, Cracked, Criterion,
 Crunchyroll, crunchyroll:playlist, CSpan, CtsNews,
 culturebox.francetvinfo.fr, dailymotion, dailymotion:playlist,
 dailymotion:user, daum.net, DBTV, DctpTv, DeezerPlaylist, defense.gouv.fr,
 Discovery, divxstage, Dotsub, DRBonanza, Dropbox, DrTuber, DRTV, Dump,
 dvtv, EbaumsWorld, EchoMsk, eHow, Einthusan, eitb.tv, EllenTV,
 EllenTV:clips, ElPais, EMPFlix, Engadget, Eporner, EroProfile, Escapist,
 EveryonesMixtape, exfm, ExpoTV, ExtremeTube, facebook, faz.net, fc2,
 fernsehkritik.tv, fernsehkritik.tv:postecke, Firedrive, Firstpost, firsttv,
 Flickr, Folketinget, Foxgay, FoxNews, france2.fr:generation-quoi,
 FranceCulture, FranceInter, francetv, francetvinfo.fr, Freesound,
 freespeech.org, FreeVideo, FunnyOrDie, Gamekings, GameOne,
 gameone:playlist, GameSpot, GameStar, Gametrailers, GDCVault, generic,
 GiantBomb, Giga, Glide, Globo, GodTube, GoldenMoustache, Golem, GorillaVid,
 Goshgay, Grooveshark, Groupon, Hark, HearThisAt, Heise, HellPorno,
 Helsinki, HentaiStigma, HistoricFilms, hitbox, hitbox:live, HornBunny,
 HostingBulk, HotNewHipHop, Howcast, HowStuffWorks, HuffPost, Hypem,
 Iconosquare, ign.com, imdb, imdb:list, Ina, InfoQ, Instagram,
 instagram:user, InternetVideoArchive, IPrima, ivi, ivi:compilation,
 Izlesene, JadoreCettePub, JeuxVideo, Jove, jpopsuki.tv, Jukebox, Kankan,
 Karaoketv, keek, KeezMovies, KhanAcademy, KickStarter, kontrtube, KrasView,
 Ku6, la7.tv, Laola1Tv, lifenews, LiveLeak, livestream, livestream:original,
 livestream:shortener, LnkGo, lrt.lt, lynda, lynda:course, m6, macgamestore,
 mailru, Malemotion, MDR, metacafe, Metacritic, Mgoon, Minhateca,
 MinistryGrid, mitele.es, mixcloud, MLB, MoeVideo, Mofosex, Mojvideo,
 Moniker, mooshare, Morningstar, Motherless, Motorsport, MovieClips,
 Moviezine, movshare, MPORA, MTV, mtviggy.com, mtvservices:embedded,
 MuenchenTV, MusicPlayOn, MusicVault, muzu.tv, MySpace, MySpace:album,
 MySpass, myvideo, MyVidster, n-tv.de, Naver, NBA, NBC, NBCNews, ndr, NDTV,
 NerdCubedFeed, Nerdist, Netzkino, Newgrounds, Newstube, NextMedia,
 NextMediaActionNews, nfb, nfl.com, nhl.com, nhl.com:news,
 nhl.com:videocenter, niconico, NiconicoPlaylist, Noco, Normalboots,
 NosVideo, novamov, Nowness, nowvideo, npo.nl, npo.nl:live, NRK, NRKTV,
 ntv.ru, Nuvid, NYTimes, ocw.mit.edu, OktoberfestTV, on.aol.com, Ooyala,
 OpenFilm, orf:fm4, orf:oe1, orf:tvthek, parliamentlive.tv, Patreon, PBS,
 Phoenix, Photobucket, PlanetaPlay, play.fm, played.to, Playvid,
 plus.google, pluzz.francetv.fr, podomatic, PornHd, PornHub, Pornotube,
 PornoXO, PromptFile, prosiebensat1, Pyvideo, QuickVid, radio.de,
 radiobremen, radiofrance, Rai, RBMARadio, RedTube, Restudy, ReverbNation,
 RingTV, RottenTomatoes, Roxwel, RTBF, Rte, RTL2, RTLnow, rtlxl.nl, RTP,
 RTS, rtve.es:alacarta, rtve.es:live, RUHD, rutube, rutube:channel,
 rutube:embed, rutube:movie, rutube:person, RUTV, Sapo, savefrom.net, SBS,
 SciVee, screen.yahoo:search, Screencast, ScreencastOMatic, ScreenwaveMedia,
 ServingSys, Sexu, SexyKarma, Shared, ShareSix, Sina, Slideshare, Slutload,
 smotri, smotri:broadcast, smotri:community, smotri:user, Snotr, Sockshare,
 Sohu, soundcloud, soundcloud:playlist, soundcloud:set, soundcloud:user,
 Soundgasm, southpark.cc.com, southpark.de, Space, Spankwire, Spiegel,
 Spiegel:Article, Spiegeltv, Spike, Sport5, SportBox, SportDeutschland,
 SRMediathek, stanfordoc, Steam, streamcloud.eu, StreamCZ, StreetVoice,
 SunPorno, SWRMediathek, Syfy, SztvHu, Tagesschau, Tapely, Tass,
 teachertube, teachertube:user:collection, TeachingChannel, Teamcoco,
 TeamFour, TechTalks, techtv.mit.edu, TED, tegenlicht.vpro.nl,
 TeleBruxelles, telecinco.es, TeleMB, TeleTask, TenPlay, TestTube, TestURL,
 TF1, TheOnion, ThePlatform, TheSixtyOne, ThisAV, THVideo, THVideoPlaylist,
 tinypic, tlc.com, tlc.de, TMZ, TNAFlix, tou.tv, Toypics, ToypicsUser,
 TrailerAddict (CURRENTLY BROKEN), Trilulilu, TruTube, Tube8, Tudou, Tumblr,
 TuneIn, Turbo, Tutv, tv.dfb.de, tvigle, tvp.pl, tvp.pl:Series, TVPlay,
 Tweakers, twitch:bookmarks, twitch:chapter, twitch:past_broadcasts,
 twitch:profile, twitch:stream, twitch:video, twitch:vod, Ubu, udemy,
 udemy:course, Unistra, Urort, ustream, ustream:channel, Vbox7, VeeHD, Veoh,
 Vesti, Vevo, VGTV, vh1.com, Vice, Viddler, video.google:search,
 video.mit.edu, VideoBam, VideoDetective, videofy.me, videolectures.net,
 VideoMega, VideoPremium, VideoTt, videoweed, Vidme, Vidzi, vier,
 vier:videos, viki, vimeo, vimeo:album, vimeo:channel, vimeo:group,
 vimeo:likes, vimeo:review, vimeo:user, vimeo:watchlater, Vimple, Vine,
 vine:user, vk.com, vk.com:user-videos, Vodlocker, Vporn, VRT, vube, VuClip,
 vulture.com, Walla, WashingtonPost, wat.tv, WayOfTheMaster, WDR,
 wdr:mobile, WDRMaus, WebOfStories, Weibo, Wimp, Wistia, WorldStarHipHop,
 wrzuta.pl, WSJ, XBef, XboxClips, XHamster, XMinus, XNXX, XTube, XTubeUser,
 Xuite, XVideos, XXXYMovies, Yahoo, YesJapan, Ynet, YouJizz, Youku, YouPorn,
 YourUpload, youtube, youtube:channel, youtube:favorites, youtube:history,
 youtube:playlist, youtube:recommended, youtube:search, youtube:search:date,
 youtube:search_url, youtube:show, youtube:subscriptions,
 youtube:truncated_id, youtube:truncated_url, youtube:user,
 youtube:watch_later, ZDF, ZDFChannel, zingmp3:album, zingmp3:song

## youtube-dl 2015.06.04.1

=== Makefile ===
all: youtube-dl README.md CONTRIBUTING.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish supportedsites

clean:
	rm -rf youtube-dl.1.temp.md youtube-dl.1 youtube-dl.bash-completion README.txt MANIFEST build/ dist/ .coverage cover/ youtube-dl.tar.gz youtube-dl.zsh youtube-dl.fish *.dump *.part *.info.json *.mp4 *.flv *.mp3 *.avi CONTRIBUTING.md.tmp youtube-dl youtube-dl.exe
	find . -name "*.pyc" -delete

PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/man
SHAREDIR ?= $(PREFIX)/share
PYTHON ?= /usr/bin/env python

# set SYSCONFDIR to /etc if PREFIX=/usr or PREFIX=/usr/local
ifeq ($(PREFIX),/usr)
	SYSCONFDIR=/etc
else
	ifeq ($(PREFIX),/usr/local)
		SYSCONFDIR=/etc
	else
		SYSCONFDIR=$(PREFIX)/etc
	endif
endif

install: youtube-dl youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 youtube-dl $(DESTDIR)$(BINDIR)
	install -d $(DESTDIR)$(MANDIR)/man1
	install -m 644 youtube-dl.1 $(DESTDIR)$(MANDIR)/man1
	install -d $(DESTDIR)$(SYSCONFDIR)/bash_completion.d
	install -m 644 youtube-dl.bash-completion $(DESTDIR)$(SYSCONFDIR)/bash_completion.d/youtube-dl
	install -d $(DESTDIR)$(SHAREDIR)/zsh/site-functions
	install -m 644 youtube-dl.zsh $(DESTDIR)$(SHAREDIR)/zsh/site-functions/_youtube-dl
	install -d $(DESTDIR)$(SYSCONFDIR)/fish/completions
	install -m 644 youtube-dl.fish $(DESTDIR)$(SYSCONFDIR)/fish/completions/youtube-dl.fish

codetest:
	flake8 .

test:
	#nosetests --with-coverage --cover-package=youtube_dl --cover-html --verbose --processes 4 test
	nosetests --verbose test
	$(MAKE) codetest

ot: offlinetest

offlinetest: codetest
	nosetests --verbose test --exclude test_download.py --exclude test_age_restriction.py --exclude test_subtitles.py --exclude test_write_annotations.py --exclude test_youtube_lists.py

tar: youtube-dl.tar.gz

.PHONY: all clean install test tar bash-completion pypi-files zsh-completion fish-completion ot offlinetest codetest supportedsites

pypi-files: youtube-dl.bash-completion README.txt youtube-dl.1 youtube-dl.fish

youtube-dl: youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet youtube-dl youtube_dl/*.py youtube_dl/*/*.py
	zip --quiet --junk-paths youtube-dl youtube_dl/__main__.py
	echo '#!$(PYTHON)' > youtube-dl
	cat youtube-dl.zip >> youtube-dl
	rm youtube-dl.zip
	chmod a+x youtube-dl

README.md: youtube_dl/*.py youtube_dl/*/*.py
	COLUMNS=80 python youtube_dl/__main__.py --help | python devscripts/make_readme.py

CONTRIBUTING.md: README.md
	python devscripts/make_contributing.py README.md CONTRIBUTING.md

supportedsites:
	python devscripts/make_supportedsites.py docs/supportedsites.md

README.txt: README.md
	pandoc -f markdown -t plain README.md -o README.txt

youtube-dl.1: README.md
	python devscripts/prepare_manpage.py >youtube-dl.1.temp.md
	pandoc -s -f markdown -t man youtube-dl.1.temp.md -o youtube-dl.1
	rm -f youtube-dl.1.temp.md

youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
	python devscripts/bash-completion.py

bash-completion: youtube-dl.bash-completion

youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
	python devscripts/zsh-completion.py

zsh-completion: youtube-dl.zsh

youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
	python devscripts/fish-completion.py

fish-completion: youtube-dl.fish

youtube-dl.tar.gz: youtube-dl README.md README.txt youtube-dl.1 youtube-dl.bash-completion youtube-dl.zsh youtube-dl.fish
	@tar -czf youtube-dl.tar.gz --transform "s|^|youtube-dl/|" --owner 0 --group 0 \
		--exclude '*.DS_Store' \
		--exclude '*.kate-swp' \
		--exclude '*.pyc' \
		--exclude '*.pyo' \
		--exclude '*~' \
		--exclude '__pycache' \
		--exclude '.git' \
		--exclude 'testdata' \
		--exclude 'docs/_build' \
		-- \
		bin devscripts test youtube_dl docs \
		LICENSE README.md README.txt \
		Makefile MANIFEST.in youtube-dl.1 youtube-dl.bash-completion \
		youtube-dl.zsh youtube-dl.fish setup.py \
		youtube-dl

=== debian/changelog ===
youtube-dl (2015.06.04.1-1) unstable; urgency=medium

  * Imported Upstream version 2015.05.15 (Closes: #784322, #783093, #785335)
  * Imported Upstream version 2015.06.04.1
  * debian/README.source: Adapt according to changes in git-builpackage.
  * debian/copyright:
    + Update my copyright years.
    + Fix lintian's dep5-copyright-license-name-not-unique.
  * debian/gbp.conf: Change to new git-buildpackage syntax.
  * debian/NEWS:
    + Document that the --max-quality option is gone.
    + Update with version to be uploaded.
  * debian/control:
    + Add build-dependency on dh-python as per warning from dh_python2.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 13 Jun 2015 17:41:32 -0300

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Rogério Brito <rbrito@ime.usp.br>
 Build-Depends:
  debhelper (>= 9),
+ dh-python,
  python-pkg-resources
 Build-Depends-Indep:
  python

## youtube-dl 2016.01.01

=== debian/changelog ===
youtube-dl (2016.01.01-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #808468, #809454, #808423)

 -- Wookey <wookey@debian.org>  Fri, 08 Jan 2016 02:28:51 +0000

youtube-dl (2015.11.27.1-1) unstable; urgency=medium

  * Imported Upstream version 2015.11.27.1 (Closes: #806559).

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 30 Nov 2015 01:39:56 -0200

youtube-dl (2015.11.10-1) unstable; urgency=medium

  * Imported Upstream version 2015.07.21 (Closes: #735012, #736151)
  * Imported Upstream version 2015.11.10 (Closes: #796035, #804724, #801491).
  * debian/control:
    + Drop really ancient Recommends to have ffprobe.
    + Prefer ffmpeg to libav-tools in Recommends.
    + Prefer mplayer to mplayer2 in Recommends. (Closes: #796227).
      Note: I'm still leaving mplayer2 to ease the life of backporters.
    + Prefer mpv to mplayer in Recommends.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 11 Nov 2015 12:23:08 -0200

=== debian/control ===
--- 
+++ 
@@ -22,9 +22,8 @@
  ${python:Depends}
 Recommends:
  aria2 | wget | curl,
- libav-tools | ffmpeg,
- libav-tools | ffmpeg (>= 4:0.6) | ffprobe,
- mplayer2 | mplayer,
+ ffmpeg | libav-tools,
+ mpv | mplayer | mplayer2,
  rtmpdump
 Description: downloader of videos from YouTube and other sites
  youtube-dl is a small command-line program to download videos from

## youtube-dl 2016.02.22

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 ot: offlinetest
 
 offlinetest: codetest
-	nosetests --verbose test --exclude test_download.py --exclude test_age_restriction.py --exclude test_subtitles.py --exclude test_write_annotations.py --exclude test_youtube_lists.py
+	nosetests --verbose test --exclude test_download.py --exclude test_age_restriction.py --exclude test_subtitles.py --exclude test_write_annotations.py --exclude test_youtube_lists.py --exclude test_iqiyi_sdk_interpreter.py
 
 tar: youtube-dl.tar.gz
 
@@ -61,34 +61,34 @@
 	chmod a+x youtube-dl
 
 README.md: youtube_dl/*.py youtube_dl/*/*.py
-	COLUMNS=80 python youtube_dl/__main__.py --help | python devscripts/make_readme.py
+	COLUMNS=80 $(PYTHON) youtube_dl/__main__.py --help | $(PYTHON) devscripts/make_readme.py
 
 CONTRIBUTING.md: README.md
-	python devscripts/make_contributing.py README.md CONTRIBUTING.md
+	$(PYTHON) devscripts/make_contributing.py README.md CONTRIBUTING.md
 
 supportedsites:
-	python devscripts/make_supportedsites.py docs/supportedsites.md
+	$(PYTHON) devscripts/make_supportedsites.py docs/supportedsites.md
 
 README.txt: README.md
 	pandoc -f markdown -t plain README.md -o README.txt
 
 youtube-dl.1: README.md
-	python devscripts/prepare_manpage.py >youtube-dl.1.temp.md
+	$(PYTHON) devscripts/prepare_manpage.py >youtube-dl.1.temp.md
 	pandoc -s -f markdown -t man youtube-dl.1.temp.md -o youtube-dl.1
 	rm -f youtube-dl.1.temp.md
 
 youtube-dl.bash-completion: youtube_dl/*.py youtube_dl/*/*.py devscripts/bash-completion.in
-	python devscripts/bash-completion.py
+	$(PYTHON) devscripts/bash-completion.py
 
 bash-completion: youtube-dl.bash-completion
 
 youtube-dl.zsh: youtube_dl/*.py youtube_dl/*/*.py devscripts/zsh-completion.in
-	python devscripts/zsh-completion.py
+	$(PYTHON) devscripts/zsh-completion.py
 
 zsh-completion: youtube-dl.zsh
 
 youtube-dl.fish: youtube_dl/*.py youtube_dl/*/*.py devscripts/fish-completion.in
-	python devscripts/fish-completion.py
+	$(PYTHON) devscripts/fish-completion.py
 
 fish-completion: youtube-dl.fish

=== debian/changelog ===
youtube-dl (2016.02.22-1) unstable; urgency=medium

  * ACK NMU. Thanks Wookey! (Closes: #809454)
  * Imported Upstream version 2016.02.22.
    (Closes: #808423, #809454, #808468, #721317)
  * debian/patches: Removed, they came from upstream.
  * debian/control:
    + Make all URLs use HTTPS.
    + Update list of supported sites.
    + The package complies with policy 3.9.7.

 -- Rogério Brito <rbrito@ime.usp.br>  Thu, 25 Feb 2016 00:38:12 -0300

youtube-dl (2015.11.27.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix for youtube failure #809454

 -- Wookey <wookey@debian.org>  Fri, 08 Jan 2016 01:48:02 +0000

=== debian/control ===
Source: youtube-dl
Section: web
Priority: extra
Maintainer: Rogério Brito <rbrito@ime.usp.br>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-pkg-resources
Build-Depends-Indep:
 python
X-Python-Version: >= 2.6
Standards-Version: 3.9.7
Homepage: https://rg3.github.com/youtube-dl/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/youtube-dl.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/youtube-dl.git

Package: youtube-dl
Architecture: all
Depends:
 python-pkg-resources,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 aria2 | wget | curl,
 ffmpeg | libav-tools,
 mpv | mplayer | mplayer2,
 rtmpdump
Description: downloader of videos from YouTube and other sites
 youtube-dl is a small command-line program to download videos from
 YouTube.com and other sites that don't provide direct links to the
 videos served.
 .
 youtube-dl allows the user, among other things, to choose a specific video
 quality to download (if available) or let the program automatically
 determine the best (or worst) quality video to grab. It supports
 downloading entire playlists and all videos from a given user.
 .
 Currently supported sites (or features of sites) are:
 .
 1tv, 1up.com, 20min, 220.ro, 22tracks:genre, 22tracks:track, 24video, 3sat,
 4tube, 56.com, 5min, 8tracks, 91porn, 9gag, abc.net.au, Abc7News,
 AcademicEarth:Course, acast, acast:channel, AddAnime, AdobeTV,
 AdobeTVChannel, AdobeTVShow, AdobeTVVideo, AdultSwim, aenetworks,
 Aftonbladet, AirMozilla, AlJazeera, Allocine, AlphaPorno, AnimeOnDemand,
 anitube.se, AnySex, Aparat, AppleConnect, AppleDaily, appletrailers,
 appletrailers:section, archive.org, ARD, ARD:mediathek, ARD:mediathek,
 arte.tv, arte.tv:+7, arte.tv:cinema, arte.tv:concert, arte.tv:creative,
 arte.tv:ddc, arte.tv:embed, arte.tv:future, arte.tv:magazine, AtresPlayer,
 ATTTechChannel, AudiMedia, audiomack, audiomack:album, Azubu, AzubuLive,
 BaiduVideo, bambuser, bambuser:channel, Bandcamp, Bandcamp:album, bbc,
 bbc.co.uk, bbc.co.uk:article, BeatportPro, Beeg, BehindKink, Bet, Bigflix,
 Bild, BiliBili, BleacherReport, BleacherReportCMS, blinkx, Bloomberg, Bpb,
 BR, Break, brightcove:legacy, brightcove:new, bt:article, bt:vestlendingen,
 BuzzFeed, BYUtv, Camdemy, CamdemyFolder, canalc2.tv, Canalplus, Canvas,
 CBC, CBCPlayer, CBS, CBSNews, CBSNewsLiveVideo, CBSSports, CeskaTelevize,
 channel9, Chaturbate, Chilloutzone, chirbit, chirbit:profile, Cinchcast,
 Cinemassacre, Clipfish, cliphunter, Clipsyndicate, cloudtime, Cloudy,
 Clubic, Clyp, cmt.com, CNET, CNN, CNNArticle, CNNBlogs, CollegeHumor,
 CollegeRama, ComCarCoff, ComedyCentral, ComedyCentralShows, CommonMistakes,
 CondeNast, Cracked, Crackle, Criterion, CrooksAndLiars, Crunchyroll,
 crunchyroll:playlist, CSpan, CtsNews, culturebox.francetvinfo.fr,
 CultureUnplugged, CWTV, dailymotion, dailymotion:playlist,
 dailymotion:user, DailymotionCloud, daum.net, daum.net:clip,
 daum.net:playlist, daum.net:user, DBTV, DCN, dcn:live, dcn:season,
 dcn:video, DctpTv, DeezerPlaylist, defense.gouv.fr, democracynow, DHM,
 Digiteka, Discovery, Dotsub, DouyuTV, DPlay, dramafever, dramafever:series,
 DRBonanza, Dropbox, DrTuber, DRTV, Dump, Dumpert, dvtv, EaglePlatform,
 EbaumsWorld, EchoMsk, eHow, Einthusan, eitb.tv, EllenTV, EllenTV:clips,
 ElPais, Embedly, EMPFlix, Engadget, Eporner, EroProfile, Escapist, ESPN,
 EsriVideo, Europa, EveryonesMixtape, exfm, ExpoTV, ExtremeTube, facebook,
 facebook:post, faz.net, fc2, Fczenit, fernsehkritik.tv, Firstpost, FiveTV,
 Flickr, Folketinget, FootyRoom, FOX, Foxgay, FoxNews, FoxSports,
 france2.fr:generation-quoi, FranceCulture, FranceCultureEmission,
 FranceInter, francetv, francetvinfo.fr, Freesound, freespeech.org,
 FreeVideo, Funimation, FunnyOrDie, GameInformer, Gamekings, GameOne,
 gameone:playlist, Gamersyde, GameSpot, GameStar, Gametrailers, Gazeta,
 GDCVault, generic, Gfycat, GiantBomb, Giga, Glide, Globo, GloboArticle,
 GodTube, GoldenMoustache, Golem, GoogleDrive, Goshgay, GPUTechConf,
 Groupon, Hark, HearThisAt, Heise, HellPorno, Helsinki, HentaiStigma,
 HistoricFilms, hitbox, hitbox:live, HornBunny, HotNewHipHop, HotStar,
 Howcast, HowStuffWorks, HuffPost, Hypem, Iconosquare, ign.com, imdb,
 imdb:list, Imgur, ImgurAlbum, Ina, Indavideo, IndavideoEmbed, InfoQ,
 Instagram, instagram:user, InternetVideoArchive, IPrima, iqiyi, Ir90Tv,
 ivi, ivi:compilation, ivideon, Izlesene, JadoreCettePub, JeuxVideo, Jove,
 jpopsuki.tv, JWPlatform, Kaltura, KanalPlay, Kankan, Karaoketv,
 KarriereVideos, keek, KeezMovies, KhanAcademy, KickStarter,
 KonserthusetPlay, kontrtube, KrasView, Ku6, kuwo:album, kuwo:category,
 kuwo:chart, kuwo:mv, kuwo:singer, kuwo:song, la7.tv, Laola1Tv, Lecture2Go,
 Lemonde, Letv, LetvCloud, LetvPlaylist, LetvTv, Libsyn, life:embed,
 lifenews, limelight, limelight:channel, limelight:channel_list, LiveLeak,
 livestream, livestream:original, livestream:shortener, LnkGo, LoveHomePorn,
 lrt.lt, lynda, lynda:course, m6, macgamestore, mailru, MakerTV, Malemotion,
 MatchTV, MDR, media.ccc.de, metacafe, Metacritic, Mgoon, Minhateca,
 MinistryGrid, miomio.tv, MiTele, mixcloud, MLB, MoeVideo, Mofosex,
 Mojvideo, Moniker, mooshare, Morningstar, Motherless, Motorsport,
 MovieClips, MovieFap, Moviezine, MPORA, MSNBC, MTV, mtv.de, mtviggy.com,
 mtvservices:embedded, MuenchenTV, MusicPlayOn, muzu.tv, Mwave, MySpace,
 MySpace:album, MySpass, Myvi, myvideo (CURRENTLY BROKEN), MyVidster,
 n-tv.de, NationalGeographic, Naver, NBA, NBC, NBCNews, NBCSports,
 NBCSportsVPlayer, ndr, ndr:embed, ndr:embed:base, NDTV, NerdCubedFeed,
 Nerdist, netease:album, netease:djradio, netease:mv, netease:playlist,
 netease:program, netease:singer, netease:song, Netzkino, Newgrounds,
 Newstube, NextMedia, NextMediaActionNews, nextmovie.com, nfb, nfl.com,
 nhl.com, nhl.com:news, nhl.com:videocenter, nick.com, niconico,
 NiconicoPlaylist, njoy, njoy:embed, Noco, Normalboots, NosVideo, Nova,
 novamov, nowness, nowness:playlist, nowness:series, NowTV (CURRENTLY
 BROKEN), NowTVList, nowvideo, Noz, npo, npo.nl:live, npo.nl:radio,
 npo.nl:radio:fragment, Npr, NRK, NRKPlaylist, NRKTV, ntv.ru, Nuvid,
 NYTimes, NYTimesArticle, ocw.mit.edu, Odnoklassniki, OktoberfestTV,
 on.aol.com, OnionStudios, Ooyala, OoyalaExternal, OraTV, orf:fm4, orf:iptv,
 orf:oe1, orf:tvthek, pandora.tv, parliamentlive.tv, Patreon, pbs, pcmag,
 Periscope, PhilharmonieDeParis, phoenix.de, Photobucket, Pinkbike,
 Pladform, PlanetaPlay, play.fm, played.to, PlaysTV, Playtvak, Playvid,
 Playwire, pluralsight, pluralsight:course, plus.google, pluzz.francetv.fr,
 podomatic, PornHd, PornHub, PornHubPlaylist, PornHubUserVideos, Pornotube,
 PornoVoisines, PornoXO, PrimeShareTV, PromptFile, prosiebensat1, Puls4,
 Pyvideo, qqmusic, qqmusic:album, qqmusic:playlist, qqmusic:singer,
 qqmusic:toplist, QuickVid, R7, radio.de, radiobremen, radiofrance,
 RadioJavan, Rai, RaiTV, RBMARadio, RDS, RedTube, RegioTV, Restudy,
 ReverbNation, Revision3, RingTV, RottenTomatoes, Roxwel, RTBF, rte,
 rte:radio, rtl.nl, RTL2, RTP, RTS, rtve.es:alacarta, rtve.es:infantil,
 rtve.es:live, RTVNH, RUHD, RulePorn, rutube, rutube:channel, rutube:embed,
 rutube:movie, rutube:person, RUTV, Ruutu, safari, safari:course, Sandia,
 Sapo, savefrom.net, SBS, schooltv, SciVee, screen.yahoo:search, Screencast,
 ScreencastOMatic, ScreenJunkies, ScreenwaveMedia, SenateISVP, ServingSys,
 Sexu, SexyKarma, Shahid, Shared, ShareSix, Sina, skynewsarabia:video,
 skynewsarabia:video, Slideshare, Slutload, smotri, smotri:broadcast,
 smotri:community, smotri:user, SnagFilms, SnagFilmsEmbed, Snotr, Sohu,
 soundcloud, soundcloud:playlist, soundcloud:search, soundcloud:set,
 soundcloud:user, soundgasm, soundgasm:profile, southpark.cc.com,
 southpark.cc.com:español, southpark.de, southpark.nl, southparkstudios.dk,
 Space, SpankBang, Spankwire, Spiegel, Spiegel:Article, Spiegeltv, Spike,
 Sport5, SportBox, SportBoxEmbed, SportDeutschland, Sportschau, SRGSSR,
 SRGSSRPlay, SSA, stanfordoc, Steam, Stitcher, streamcloud.eu, StreamCZ,
 StreetVoice, SunPorno, SVT, SVTPlay, SWRMediathek, Syfy, SztvHu,
 Tagesschau, Tapely, Tass, teachertube, teachertube:user:collection,
 TeachingChannel, Teamcoco, TeamFour, TechTalks, techtv.mit.edu, ted,
 Tele13, TeleBruxelles, Telecinco, Telegraaf, TeleMB, TeleTask, TenPlay,
 TestURL, TF1, TheIntercept, TheOnion, ThePlatform, ThePlatformFeed,
 TheSixtyOne, ThisAmericanLife, ThisAV, THVideo, THVideoPlaylist, tinypic,
 tlc.de, TMZ, TMZArticle, TNAFlix, toggle, tou.tv, Toypics, ToypicsUser,
 TrailerAddict (CURRENTLY BROKEN), Trilulilu, trollvids, TruTube, Tube8,
 TubiTv, tudou, tudou:album, tudou:playlist, Tumblr, tunein:clip,
 tunein:program, tunein:shortener, tunein:station, tunein:topic, Turbo,
 Tutv, tv.dfb.de, TV2, TV2Article, TV4, TVC, TVCArticle, tvigle, tvland.com,
 tvp.pl, tvp.pl:Series, TVPlay, Tweakers, twitch:bookmarks, twitch:chapter,
 twitch:past_broadcasts, twitch:profile, twitch:stream, twitch:video,
 twitch:vod, twitter, twitter:amplify, twitter:card, Ubu, udemy,
 udemy:course, UDNEmbed, UnicodeBOM, Unistra, Urort, ustream,
 ustream:channel, Varzesh3, Vbox7, VeeHD, Veoh, Vessel, Vesti, Vevo, VGTV,
 vh1.com, Vice, Viddler, video.google:search, video.mit.edu, VideoDetective,
 videofy.me, VideoMega (CURRENTLY BROKEN), videomore, videomore:season,
 videomore:video, VideoPremium, VideoTt (CURRENTLY BROKEN), videoweed,
 vidme, vidme:user, vidme:user:likes, Vidzi, vier, vier:videos, Viewster,
 Viidea, viki, viki:channel, vimeo, vimeo:album, vimeo:channel, vimeo:group,
 vimeo:likes, vimeo:review, vimeo:user, vimeo:watchlater, Vimple, Vine,
 vine:user, vk, vk:uservideos, vlive, Vodlocker, VoiceRepublic, Vporn, vpro,
 VRT, vube, VuClip, vulture.com, Walla, WashingtonPost, wat.tv,
 WayOfTheMaster, WDR, wdr:mobile, WDRMaus, WebOfStories,
 WebOfStoriesPlaylist, Weibo, WeiqiTV, wholecloud, Wimp, Wistia, WNL,
 WorldStarHipHop, wrzuta.pl, WSJ, XBef, XboxClips, XFileShare, XHamster,
 XHamsterEmbed, XMinus, XNXX, Xstream, XTube, XTubeUser, Xuite, XVideos,
 XXXYMovies, Yahoo, Yam, yandexmusic:album, yandexmusic:playlist,
 yandexmusic:track, YesJapan, yinyuetai:video, Ynet, YouJizz, youku,
 YouPorn, YourUpload, youtube, youtube:channel, youtube:favorites,
 youtube:history, youtube:playlist, youtube:playlists, youtube:recommended,
 youtube:search, youtube:search:date, youtube:search_url, youtube:show,
 youtube:subscriptions, youtube:truncated_id, youtube:truncated_url,
 youtube:user, youtube:watchlater, Zapiks, ZDF, ZDFChannel, zingmp3:album,
 zingmp3:song, ZippCast

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_install:
	mv debian/youtube-dl/usr/etc debian/youtube-dl/
	dh_install

override_dh_installdocs:
	dh_installdocs
	mv debian/youtube-dl/usr/share/doc/youtube_dl/* debian/youtube-dl/usr/share/doc/youtube-dl
	rmdir debian/youtube-dl/usr/share/doc/youtube_dl

override_dh_clean:
	dh_clean
	rm -rf youtube_dl.egg-info

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,pgpsigurlmangle=s/$/.sig/ \
http://youtube-dl.org/downloads/(\d.*)/youtube-dl-(:?.*)\.tar\.gz

## youtube-dl 2016.06.25

=== debian/changelog ===
youtube-dl (2016.06.25-2) unstable; urgency=medium

  * The "The next upload will only support Python 3" release.
  * debian/control:
    + Add B-D on pandoc and zip. (Closes: #828905)
      Thanks to Chris Lamb (for the report) and Logan Rosen from Ubuntu
      (for a patch).
    + Add recommends on ca-certificates. (Closes: 819759)
  * debian/watch: Add back pgpsigurlmangle.

 -- Rogério Brito <rbrito@ime.usp.br>  Wed, 17 Aug 2016 07:39:54 -0300

youtube-dl (2016.06.25-1) unstable; urgency=medium

  * Imported Upstream version 2016.06.25 (Closes: #824799)
  * debian/watch:
    + Update for version 4.
    + Skip pgpsigurlmangle for the moment.
  * debian/patch: Add patch to update list of supported sites
  * debian/rules:
    + Adapt to new upstream build system.
    + Add commented snippet for conffile removal.
    + Ignore tests temporarily.

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 25 Jun 2016 15:06:41 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,9 @@
 Build-Depends:
  debhelper (>= 9),
  dh-python,
- python-pkg-resources
+ pandoc,
+ python-pkg-resources,
+ zip
 Build-Depends-Indep:
  python
 X-Python-Version: >= 2.6
@@ -22,6 +24,7 @@
  ${python:Depends}
 Recommends:
  aria2 | wget | curl,
+ ca-certificates,
  ffmpeg | libav-tools,
  mpv | mplayer | mplayer2,
  rtmpdump

## youtube-dl 2016.07.13-1~webupd8~precise1+6.0.1trisquel1

=== debian/changelog ===
youtube-dl (2016.07.13-1~webupd8~precise1+6.0.1trisquel1) toutatis; urgency=low

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Jul 2016 05:19:23 +0000

youtube-dl (2016.07.13-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 14 Jul 2016 12:21:42 +0300
 

youtube-dl (2016.07.11-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 11 Jul 2016 12:18:40 +0300
 

youtube-dl (2016.06.23.1-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 23 Jun 2016 12:03:40 +0300
 

youtube-dl (2016.06.20-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 21 Jun 2016 12:51:25 +0300
 

youtube-dl (2016.06.19.1-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 20 Jun 2016 11:15:21 +0300
 

youtube-dl (2016.06.16-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Fri, 17 Jun 2016 11:01:26 +0300
 

youtube-dl (2016.06.14-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 14 Jun 2016 11:22:45 +0300
 

youtube-dl (2016.06.12-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 13 Jun 2016 12:02:20 +0300
 

youtube-dl (2016.06.03-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 07 Jun 2016 12:00:04 +0300
 

youtube-dl (2016.06.02-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 02 Jun 2016 10:32:01 +0300
 

youtube-dl (2016.05.30.2-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 31 May 2016 11:26:28 +0300
 

youtube-dl (2016.05.21.2-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 25 May 2016 10:39:14 +0300
 

youtube-dl (2016.05.16-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 17 May 2016 14:55:36 +0300
 

youtube-dl (2016.05.10-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 10 May 2016 11:59:40 +0300
 

youtube-dl (2016.05.01-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Tue, 03 May 2016 11:47:58 +0300
 

youtube-dl (2016.04.24-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Mon, 25 Apr 2016 12:29:49 +0300
 

youtube-dl (2016.04.19-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 21 Apr 2016 11:52:58 +0300
 

youtube-dl (2016.04.13-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 13 Apr 2016 13:57:44 +0300
 

youtube-dl (2016.04.06-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Thu, 07 Apr 2016 12:10:24 +0300
 

youtube-dl (2016.04.05-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <andrew@webupd8.org>  Wed, 06 Apr 2016 13:32:07 +0300
 

youtube-dl (2016.04.01-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 04 Apr 2016 11:55:49 +0300
 

youtube-dl (2016.03.27-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 28 Mar 2016 13:03:10 +0300
 

youtube-dl (2016.03.25-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Fri, 25 Mar 2016 12:43:22 +0200
 

youtube-dl (2016.03.18-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 21 Mar 2016 13:29:50 +0200
 

youtube-dl (2016.03.14-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 14 Mar 2016 13:52:55 +0200
 

youtube-dl (2016.03.06-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 07 Mar 2016 15:37:07 +0200
 

youtube-dl (2016.02.27-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 29 Feb 2016 12:12:12 +0200
 

youtube-dl (2016.02.13-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 15 Feb 2016 12:04:41 +0200
 

youtube-dl (2016.01.27-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Wed, 27 Jan 2016 11:55:13 +0200
 

youtube-dl (2016.01.23-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
 -- Alin Andrei <webupd8@gmail.com>  Mon, 25 Jan 2016 11:52:00 +0200
 

youtube-dl (2015.12.09-1~webupd8~precise1) precise; urgency=medium
 
  * New upstream release (automated upload)
 
